Subject: new progressive coalition

From: Sarah Trachtenberg <[email-masked]>
Date: Mon, 30 Oct 2006 20:10:00 -0500

Dear Sir or Madam,

Hello, I am involved with the Tikkun Institute in Boston. We're a  
progressive think tank looking into joining the New Progressive  
Coalition as part of their marketplace. I saw your org on their list  
and was wondering if you could tell me if it was a worthwhile  
investment. Any advice would be greatly appreciated. Thanks!
Sincerely,
Sarah Trachtenberg